#ifndef SRC_PAGES_FRM02_H
#define SRC_PAGES_FRM02_H

#include "../HmiApp.h"
#include "widgets/Widgets.h"
#include "type/Types.h"
#include "misc/misc.h"
#include "op/DataSample.h"
#include "op/EventMgr.h"
#include "op/RCP.h"
#include "op/OpLog.h"
#include "util/DateUtil.h"
#include "util/StringUtil.h"

using namespace std;
using namespace stt;
using namespace stt::op;
using namespace stt::db;
using namespace stt::misc;
using namespace stt::data;
using namespace stt::util;
using namespace stt::constant;

/********************************
 *
 *  页面类
 *
 *  注意：用户可在指定位置添加修改内容
 *

 ********************************/
class HmiApp;

class Frm02: public STTPage {
public:	Frm02(HmiApp* app, STTWidget* par, const string& id, const string& desc = "");
	virtual ~Frm02();
	void onInit();
	void createParts();
	void onLoad();
	bool onClosing();
	void onDispose();

/*CUSTOM_CODE_BEGIN*/	/*用户自定义代码开始，请勿删除上面一行注释*/
	

	/*用户自定义代码结束，请勿删除下面一行注释*/
	/*CUSTOM_CODE_END*/

protected:
	HmiApp* hmiApp;

};

#endif